#2 Link to libm to fix --as-needed linking

closed-fixed
None
5
2006-05-21
2006-05-07
No

The attached patch allows to link powersave when
using --as-needed GNU ld flag.
Basically it requires linking libpowersave with libm
(-lm) as that is what is using the special functions
from that libraries.

HTH,
Diego "Flameeyes" Pettenò
<flameeyes@gentoo.org>

Discussion

  • Danny Al-Gaaf

    Danny Al-Gaaf - 2006-05-20

    Logged In: YES
    user_id=1138349

    @Holger: can you take a look at this issue?

     
  • Danny Al-Gaaf

    Danny Al-Gaaf - 2006-05-20
    • assigned_to: nobody --> hulder
     
  • Holger Macht

    Holger Macht - 2006-05-21

    Logged In: YES
    user_id=655787

    Just strange why we don't need this on a SUSE distribution.
    But anyway, it should not hurt, so patch is applied. Thank
    you.

     
  • Holger Macht

    Holger Macht - 2006-05-21
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks